Skip to main content
GET
Get the requests to upload additional financial documents

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Query Parameters

search_field
string
default:comment

Field to search by

Allowed value: "comment"
search_text
string | null

Text to search in the specified search_field

Required string length: 1 - 255
Example:

"Quarterly report"

statuses
enum<string>[] | null

Set of document request statuses to filter by

Minimum array length: 1
Available options:
pending,
completed,
expired
order_by
enum<string>
default:created_at

Field to order results by

Available options:
status,
comment,
created_at,
updated_at,
expires_at
order_dir
enum<string>
default:asc

Direction of ordering

Available options:
asc,
desc
limit
integer
required

Maximum number of results to return

Required range: x <= 100
Examples:

10

50

offset
integer
required

Number of results to skip for pagination

Required range: x >= 0
Examples:

0

20

Response

Successful Response

items
RetrieveFinancialDocumentRequest · object[]
required

List of the requests

total_items
integer
required

Total number of requests

Required range: x >= 0
Examples:

10

50